<?php
class Migration_20241121131726_add_dont_disturb_check
{
    public static function up(PDO $pdo)
    {
        $sql_add_column = "
            ALTER TABLE `property_users`
            ADD COLUMN `do_not_disturb` INT DEFAULT 0 AFTER `status`;
        ";
        $pdo->exec($sql_add_column);
        $sql1_add_column = "
            ALTER TABLE `users`
            ADD COLUMN `do_not_disturb` INT DEFAULT 0 AFTER `layer`;
        ";
        $pdo->exec($sql1_add_column);
    }

    public static function down(PDO $pdo)
    {
        // Remove the 'do_not_disturb' column
        $sql_remove_column = "
            ALTER TABLE `property_users`
            DROP COLUMN `do_not_disturb`;
        ";
        $pdo->exec($sql_remove_column);
    }
}
